Subject: Re: [PATCH] netdev: fix compile issues for !CONFIG_PCI in 3c59x

From: Paul Gortmaker <[email-masked]>
Date: Mon, 26 Mar 2012 11:38:32 -0400

On 12-03-26 10:55 AM, Sergei Shtylyov wrote:
> Hello.
> 
> On 03/26/2012 05:38 PM, Paul Gortmaker wrote:
> 
>>> I hate to add in more #ifdef CONFIG_PCI but there are already
>>> quite a few in this driver, and it seems like it hasn't been
>>> built with CONFIG_PCI set to off in quite some time.
> 
>> Actually, please scrap this patch.  The uglyness of more ifdefs
>> made me look at it again.  It should be do-able in a cleaner way
>> with stubs, and it appears this may even be similar to an old fail
>> from the past:
> 
>> http://lkml.indiana.edu/hypermail/linux/kernel/1107.3/00109.html
> 
>     Also, see this patch:
> 
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=0da0ead90122578ef6e4afba9ba4bcd3455fd8e8
> 
>     The driver patch this was done for is still in the -mm tree after all these 
> years.:-)
> 
>> I'll dig into it some more and follow up.
> 
>     I thought I addressed all issues with compilation of this driver with 
> CONFIG_PCI=n. Apparently not, and some seem to have accumulated over time...

I got sidetracked working on other things, but I did manage to
learn this so far - It turns out that Randy fixed it and then
James un-fixed it in this commit:

commit 97a29d59fc222b36bac3ee3a8ae994f65bf7ffdf
Author: James Bottomley <[email-masked]>
Date:   Mon Jan 30 10:40:47 2012 -0600

    [PARISC] fix compile break caused by iomap: make IOPORT/PCI mapping functions conditional

Reverting the above and mips builds 3c59x just fine.  Note that MIPS
allmodconfig does not have either CONFIG_GENERIC_IOMAP or the other
CONFIG_GENERIC_PCI_IOMAP options.

Paul.
--

>> Thanks,
>> Paul.
> WBR, Sergei